sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=94
left=99
tile=1
caption="Passwortschutz"
End CompInit
Dim group1 as group
group1 = MakeComponent("group",form1)
CompInit group1
proto="group1"
caption="Auswertung:"
look=1
enabled=0
sizeHControl=0
sizeVControl=0
width=279
height=185
visible=1
End CompInit
Dim button1 as button
button1 = MakeComponent("button",group1)
CompInit button1
proto="button1"
caption="Aktuallisieren"
left=30
top=125
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
button1.name="button1"
Dim label1 as label
label1 = MakeComponent("label",group1)
CompInit label1
proto="label1"
caption="Messwert 1: ???"
left=30
top=28
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label1.name="label1"
Dim label2 as label
label2 = MakeComponent("label",group1)
CompInit label2
proto="label2"
caption="Messwert 2: ???"
left=30
top=52
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label2.name="label2"
Dim label3 as label
label3 = MakeComponent("label",group1)
CompInit label3
proto="label3"
caption="Messwert 3: ???"
left=30
top=75
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label3.name="label3"
Dim list1 as list
list1 = MakeComponent("list",group1)
CompInit list1
proto="list1"
left=173
top=27
width=57
height=59
End CompInit
list1.name="list1"
list1.visible=1
Dim number1 as number
number1 = MakeComponent("number",group1)
CompInit number1
proto="number1"
left=147
top=125
caption=""
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
number1.name="number1"
group1.name="group1"
form1.name="form1"
form1.height=219
form1.width=297
Dim dialog1 as dialog
dialog1 = MakeComponent("dialog","app")
CompInit dialog1
proto="dialog1"
left=183
top=227
tile=1
tileSpacing=5
caption="Bitte Passwort eingeben:"
End CompInit
Dim entry1 as entry
entry1 = MakeComponent("entry",dialog1)
CompInit entry1
proto="entry1"
visible=1
End CompInit
entry1.name="entry1"
Dim button2 as button
button2 = MakeComponent("button",dialog1)
CompInit button2
proto="button2"
caption="OK"
sizeHControl=3
default=1
sizeVControl=3
visible=1
End CompInit
button2.name="button2"
dialog1.height=90
dialog1.width=210
dialog1.name="dialog1"
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
	form1.visible=1
	dialog1.visible = 1
end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub button2_pressed(self as button)

rem passwortcheck

if entry1.text = "passwort"
	dialog1.visible = 0
	group1.enabled = 1
else
	entry1.text = "falsch !"
end if

end sub

