sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=113
left=138
sizeHControl=0
sizeVControl=0
tile=1
caption="Gross/Kleinschreibung"
tileSpacing=10
End CompInit
Dim group1 as group
group1 = MakeComponent("group",form1)
CompInit group1
proto="group1"
caption="group1"
look=2
tile=1
tileLayout=1
tileSpacing=5
visible=1
End CompInit
Dim label1 as label
label1 = MakeComponent("label",group1)
CompInit label1
proto="label1"
caption="Eingabe: "
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label1.name="label1"
Dim input_entry as entry
input_entry = MakeComponent("entry",group1)
CompInit input_entry
proto="entry1"
width=200
text="ABCdef-#*+-"
visible=1
End CompInit
input_entry.name="input_entry"
group1.name="group1"
Dim group2 as group
group2 = MakeComponent("group",form1)
CompInit group2
proto="group2"
caption="group2"
look=2
tile=1
sizeHControl=0
tileSpacing=5
width=200
tileLayout=1
sizeVControl=3
visible=1
End CompInit
Dim label2 as label
label2 = MakeComponent("label",group2)
CompInit label2
proto="label2"
caption="Ausgabe:"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label2.name="label2"
Dim output_entry as entry
output_entry = MakeComponent("entry",group2)
CompInit output_entry
proto="entry2"
width=200
visible=1
End CompInit
output_entry.name="output_entry"
group2.name="group2"
Dim group3 as group
group3 = MakeComponent("group",form1)
CompInit group3
proto="group3"
caption="group3"
look=2
tile=1
tileLayout=1
tileSpacing=5
visible=1
End CompInit
Dim Gk_button as button
Gk_button = MakeComponent("button",group3)
CompInit Gk_button
proto="button1"
caption="GROSS -> klein"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
Gk_button.name="Gk_button"
Dim kG_button as button
kG_button = MakeComponent("button",group3)
CompInit kG_button
proto="button2"
caption="klein -> GROSS"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
kG_button.name="kG_button"
Dim kGGk_button as button
kGGk_button = MakeComponent("button",group3)
CompInit kGGk_button
proto="button3"
caption="klein <-> GROSS"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
kGGk_button.name="kGGk_button"
group3.name="group3"
form1.name="form1"
form1.height=179
form1.width=335
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

rem
rem CHARCA05.BAS - 15.10.97
rem
rem Konvertierung - GROSS->klein, klein->GROSS und klein<->GROSS ok
rem               - UPPER() und LOWER(), also nicht Textzeichen 1:1
rem                 wieder ausgeben
rem               - Beruecksichtigung der deutschen Umlaute
rem
rem .Letzter Punkt klappt allerdings in Beta1 nur mit
rem  charter = "" und nicht mit asc(charter) = 138.

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub button1_pressed(self as button)

rem GROSS->klein

output_entry.text = lower(input_entry.text)


end sub

function lower(input as string) as string

dim counter as integer
dim charter as string

for counter = 1 to len(input)

	charter = mid(input, counter, 1)

	if asc(charter) > 64 and asc(charter) < 91 then
		charter = chr(asc(charter)+32)
	else if charter = chr(128)
		charter = chr(138)
	else if charter = chr(133)
		charter = chr(154)
	else if charter = chr(134)
		charter = chr(159)
	end if

	lower = lower + charter

next counter


end function

function upper(input as string) as string

dim counter as integer
dim charter as string

for counter = 1 to len(input)

	charter = mid(input, counter, 1)
	
	if asc(charter) > 96 and asc(charter) < 123
		charter = chr(asc(charter)-32)
	else if charter = chr(138)
		charter = chr(128)
	else if charter = chr(154)
		charter = chr(133)
	else if charter = chr(159)
		charter = chr(134)
	end if

	upper = upper + charter

next counter

end function

sub button2_pressed(self as button)
	output_entry.text = upper(input_entry.text)
end sub

sub button3_pressed(self as button)

rem Groessenwechel - just for fun ;-)

dim counter as integer
dim charter as string
output_entry.text = ""

for counter = 1 to len(input_entry.text)

	charter = mid(input_entry.text, counter, 1)

	if asc(charter) > 64 and asc(charter) < 91 then
		output_entry.text = output_entry.text + lower(charter)
	else if asc(charter) > 96 and asc(charter) < 123 then
		output_entry.text = output_entry.text + upper(charter)
	else if charter = chr(138)
		output_entry.text = output_entry.text + chr(128)
	else if charter = chr(154)
		output_entry.text = output_entry.text + chr(133)
	else if charter = chr(159)
		output_entry.text = output_entry.text + chr(134)
	else if charter = chr(128)
		output_entry.text = output_entry.text + chr(138)
	else if charter = chr(133)
		output_entry.text = output_entry.text + chr(154)
	else if charter = chr(134)
		output_entry.text = output_entry.text + chr(159)
	else
		output_entry.text = output_entry.text + charter
	end if
			
next counter

end sub

